# filebeat-agents

Formula for installing and configuring the beats agents on using salt.
## Test and Deploy
Basic linting using gitlab-ci is being completed using salt-lint 

## Installation
To use with the kinetic framework, the easiest way to integrate to the update gitfs_other_configurations pillar value.

``` yaml
gitfs_other_configurations:
  filebeat-agents:
    url: https://git.cybbh.space/vta/formulas/filebeat-agents.git
    branch: master
```

It does expect several pillar values the be configured
All of the certificates are expected to be the same as the server is configured for
It is recommended to encrypt the values for the following

- filebeat_ca_certificate: CA Certificate to be used with the filebeat agents
- filebeat_certificate: Certificate to configure the filebeat agent to use
- filebeat_private_key: Private key used to configure the filebeat agent

TODO - Still variables still need to be defined 

- filebeat_version: Specify the filebeat version to install
- elasticsearch_server: List of Elasticsearch/OpenSearch servers to configure the agent
- elasticsearch_port: Port to connect to ES/OS ( Default to 5044 ) 
## Usage

If you want this to be applied with a highstate the formula will need to be added to the top.sls file in the kinetic repo.

``` yaml
base:
  '*':
    - /formulas/common/base
  {{ type }}*:
    - /formulas/{{ role }}/configure
    - /formulas/filebeat/configure
``` 
It can also be applied manually my applying the state

``` bash
salt \* state.apply formulas/filebeat
```

## License
Licensed under the Apache License, Version 2.0
